body {
  width: 100%;
  height: 100%;
  margin:0 auto;
background: repeating-linear-gradient(135deg, #f8d785 0px, #f8d785 8px, #f7dd9b 8px, #f7dd9b 16px);
}

#container {
    width:80%;
    max-width:1400px;
    margin:0 auto;
    
    
}




    .works-detail {
  padding: 3rem 1rem;
  max-width: 960px;
  margin: 0 auto;
  font-family: "Helvetica", "Arial", sans-serif;
  background-color:rgba(255,255,255,1);
  border-radius: 20px;
      
}

.works-detail h2 {
  font-size: 1.8rem;
  margin: 2rem 0 1rem;
  border-bottom: 2px solid #ddd;
  padding-bottom: 0.5rem;
}

.photo-grid {
  display: flex;
  flex-wrap: wrap;
  gap: 1rem;
  margin-bottom: 2rem;
  margin:0 auto;
}
    
 .photo-grid figure{
    width: calc(33.333% - 1rem);
    margin: 3% 5%;
    font-size:0.85rem;
    display:flex;
     flex-direction: column;
     align-items: stretch;
   margin:0 auto;
    }
    
    
    
.photo-grid img {
    width:24vw;
    max-width:260px;
    height:auto;
    border-radius: 4px;
    display: block;
    }

 .photo-grid figcaption{
    margin-top: 0.5rem;
    font-size:0.6rem;
    color: #555;
    line-height: 1.5;
    text-align:left;
    width:100%;
    }    

    
.single-image {
  text-align: center;
  margin: 2rem 0;
}

.single-image img {
  width: 72%;
  max-width:500px;
  height: auto;
  border-radius: 4px;
  margin-bottom:8%;
}

.text-block {
  max-width: 720px;
  margin: 1rem auto 2rem;
  font-size: 1rem;
  line-height: 1.8;
  color: #333;
  text-align: center;
}

/***共通CSS***/

.licorice-regular {
  font-family: "Licorice", cursive;
  font-weight: 400;
  font-style: normal;
}


.kiwi-maru-regular {
  font-family: "Kiwi Maru", serif;
  font-weight: 400;
  font-style: normal;
}

.zen-kurenaido-regular {
  font-family: "Zen Kurenaido", serif;
  font-weight: 400;
  font-style: normal;
}

    h1 {
  font-size: 30px;
  font-family: "Kiwi Maru", serif;
  font-weight:100;
  padding-top: 10%;
  padding-bottom: 10%;
  text-align: center;
  animation: fadeBounce 3s ease-in-out;
}
    
/* Navbar & Navmenu color */
:root {
  --background-navbar: rgba(55, 55, 55, 0.98);
}

.header {
  background: var(--background-navbar);
  position: fixed;
  width: 100%;
  height: 52px;
}

/* Nav items */
.menu {
  list-style: none;
  position: absolute;
  width: 100%;
  height: auto;
  top: 0;
  margin-top: 52px;
  padding: 0 0 10px 0;
  clear: both;
  background: var(--background-navbar);
  transition: 0.3192s cubic-bezier(0.04, 0.04, 0.12, 0.96) 0.1008s;
  transform: scale(1, 0);
  transform-origin: top;
}

/* Hamburger menu button */
.menu-btn:checked ~ .menu {
  transform: scale(1, 1);
  transform-origin: top;
  transition: 0.3192s cubic-bezier(0.04, 0.04, 0.12, 0.96) 0.1008s;
}

/* Hamburger menbu text */
.menu a {
  text-decoration: none;
  font-weight: 500;
  letter-spacing: 2px;
  font-size: 16px;
  text-transform: capitalize;
  color: #ddd;
  opacity: 0;
  transition: 0.5s;
}

.menu li {
  border-top: 1px solid rgb(75, 75, 75);
  padding: 15px 0;
  margin: 0 54px;
  opacity: 0;
  transition: 0.5s;
  z-index:2000;
}

.menu-btn:checked ~ .menu a,
.menu-btn:checked ~ .menu li {
  opacity: 1;
  transition: 0.3192s cubic-bezier(0.04, 0.04, 0.12, 0.96) 0.2s;
}

.menu-btn {
  display: none;
}

.menu-icon {
  display: inline-block;
  position: relative;
  cursor: pointer;
  padding: 24px 14px;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

.navicon {
  background: #ddd;
  display: block;
  height: 3px;
  width: 26px;
  position: relative;
  transition: 0.3192s cubic-bezier(0.04, 0.04, 0.12, 0.96) 0.1008s;
}

.navicon:before,
.navicon:after {
  content: "";
  display: block;
  height: 100%;
  width: 100%;
  position: absolute;
  background: #ddd;
  transition: 0.3192s cubic-bezier(0.04, 0.04, 0.12, 0.96) 0.1008s;
}

.navicon:before {
  top: 9px;
}

.navicon:after {
  bottom: 9px;
}

/* Hamburger Menu Animation Start */
.menu-btn:checked ~ .menu-icon .navicon:before {
  transform: rotate(-45deg);
}

.menu-btn:checked ~ .menu-icon .navicon:after {
  transform: rotate(45deg);
}

.menu-btn:checked ~ .menu-icon:not(.steps) .navicon:before {
  top: 0;
}
.menu-btn:checked ~ .menu-icon:not(.steps) .navicon:after {
  bottom: 0;
}

.menu-btn:checked ~ .menu-icon .navicon {
  background: rgba(0, 0, 0, 0);
  transition: 0.2192s cubic-bezier(0.04, 0.04, 0.12, 0.96) 0.1008s;
}
/* Hamburger Menu Animation End */

/* Navbar Container */
.navtext-container {
  width: 100%;
  height: 52px;
  position: absolute;
  box-sizing: border-box;
  display: flex;
  justify-content: center;
  align-items: center;
}

/* Navbar Text */
.navtext {
  position: absolute;
  text-transform: uppercase;
  color: #ddd;
  letter-spacing: 4px;
  font-size: 20px;
}


h2 {
  font-family: "Kiwi Maru", serif;
  font-size: 20px;
  font-weight: 50;
  font-style: normal;
  line-height: 30px;
  text-align: center;
  margin: 5% 0;
}

 p {
  font-family: "Kiwi Maru", serif;
  font-weight: 50;
  font-style: normal;
  line-height: 30px;
  margin: 5% 0;
}


.english{
  font-family: "Licorice", cursive;
  font-weight: 200;
  font-style: normal;
 opacity:0.2;
  font-size:80px;
}


img{
    box-shadow :12px 10px 10px  rgba(0, 0, 0, 0.1);
}

.fade-in {
    opacity: 0;
    transform: translateY(50px);
    transition: opacity 0.8s ease-out, transform 0.8s ease-out;
}

/* JavaScriptで追加するクラス */
.fade-in.show {
    opacity: 1;
    transform: translateY(0);
}

.marker{
    position: relative;
    display: inline-block;
    padding: 0 10px;
}
.marker::after {
    content: ""; 
    position: absolute;
    left: 0;
    bottom: 0;
    width: 0%;
    height: 10px;
    background: rgba(255, 153, 9, 0.5);
    transition: width 0.7s ease-in-out;
}

.marker.active::after { 
    width: 100%;
}
/***mainContents***/
#mainContents{
    width:100%;
    height:auto;
}
.mainImg{
    display:block;
    max-width:90%;
    height:auto;
    margin:0 auto;
}

.gaiyou{
    background-color: rgba(255,255,255,0.5);
    width:80%;
    margin:10% auto 20% auto;
    padding:40px;
    border-radius:10px 10px 10px 10px;
    text-align: center;
}

/***contents***/
.item{
    position:relative;
    display:flex;
    flex-direction:row;
    margin-bottom:60px;
    gap:5%;
}

.item:nth-child(even) {
    flex-direction:row-reverse;
}

.txtWrappe{
    width:47%;
    height:auto;
    background-color: #F8E485;
    padding:40px 40px;
    border-radius:0 32px 0 32px;
}

.imgWrapp {
    width:47%;
    height:auto;
}

.contentsImg{
    width:100%;
    height:auto;
}

.english{
    position:absolute;
    bottom:0;
    right:-20px;
    transform: rotate(-10deg);
    -moz-transform: rotate(-10deg);
    -webkit-transform: rotate(-10deg);
    
}


.item:nth-child(even) .english{
    left:-20px;
    right:auto;
}


/***SP表示***/

@media screen and (max-width: 1000px){
    
.photo-grid {
  display: flex;
  flex-wrap: wrap;
  gap: 1rem;
  margin-bottom: 2rem;
  margin:0 auto;
}
    
 .photo-grid figure{
    width: calc(33.333% - 1rem);
    margin: 3% 5%;
    font-size:0.85rem;
    display:flex;
     flex-direction: column;
     align-items: stretch;
   margin:0 auto;
    }
    
    
    
.photo-grid img {
    width:24vw;
    max-width:260px;
    height:auto;
    border-radius: 4px;
    display: block;
    }

 .photo-grid figcaption{
    margin-top: 0.5rem;
    font-size:0.6rem;
    color: #555;
    line-height: 1.5;
    text-align:left;
    width:100%;
    }    

    
.single-image {
  text-align: center;
  margin: 2rem 0;
}

.single-image img {
  width: 72%;
  max-width:500px;
  height: auto;
  border-radius: 4px;
  margin-bottom:8%;
}

.text-block {
  max-width: 720px;
  margin: 1rem auto 2rem;
  font-size: 1rem;
  line-height: 1.8;
  color: #333;
  text-align: center;
}

    
    /***共通CSS***/

    h1 {
  font-size: 20px;
  font-family: "Kiwi Maru", serif;
  font-weight: 100;
  font-style: normal;
  padding-top: 10%;
  padding-bottom: 10%;
  text-align: center;
  animation: fadeBounce 3s ease-in-out;
}
    


h2 {
  font-family: "Kiwi Maru", serif;
  font-size: 20px;
  font-weight: 50;
  font-style: normal;
  line-height: 30px;
  text-align: center;
  margin: 5% 0;
}

 p {
  font-family: "Kiwi Maru", serif;
  font-weight: 30;
  font-style: normal;
  line-height: 20px;
   font-size:12px;
  margin: 5% 0;
}


.english{
  font-family: "Licorice", cursive;
  font-weight: 200;
  font-style: normal;
 opacity:0.2;
  font-size:30px;
}


img{
    box-shadow :12px 10px 10px  rgba(0, 0, 0, 0.1);
}
    
/***mainContents***/
#mainContents{
    width:100%;
    height:auto;
}
.mainImg{
    display:block;
    max-width:90%;
    height:auto;
    margin:0 auto;
}

/***contents***/
.item{
    position:relative;
    display:flex;
    flex-direction:row;
    margin-bottom:80px;
    gap:5%;
}

.item:nth-child(even) {
    flex-direction:row-reverse;
}

.txtWrappe{
    width:80%;
    height:auto;
    background-color: #F8E485;
    padding:10% 10%;
    border-radius:0 32px 0 32px;
    
}

.imgWrappe {
    width:100%;
    height:auto;
    margin:10% auto;
}

.contentsImg{
    width:100%;
    height:auto;
}

.english{
    position:absolute;
    bottom:0;
    right:-20px;
    transform: rotate(-10deg);
    -moz-transform: rotate(-10deg);
    -webkit-transform: rotate(-10deg);
    
}


.item:nth-child(even) .english{
    right:-20px;
    left:auto;
}


.item{
    display:block;
    }
    
/**追加コンテンツ**/
    .works-detail {
  padding: 3rem 1rem;
  max-width: 960px;
  margin: 0 auto;
  font-family: "Helvetica", "Arial", sans-serif;
}

.works-detail h2 {
  font-size: 1.8rem;
  margin: 2rem 0 1rem;
  border-bottom: 2px solid #ddd;
  padding-bottom: 0.5rem;
}       

.photo-grid {
  display: flex;
  flex-wrap: wrap;
  gap: 1rem;
  margin-bottom: 2rem;
}
    
 .photo-grid figure{
    width: calc(33.333% - 1rem);
    margin: 0 auto;
    font-size:0.85rem;
    display:flex;
     flex-direction: column;
     align-items: stretch;
    }
    
    
    
.photo-grid img {
    width:100px;
    height:auto;
    border-radius: 4px;
    display: block;
    }

 .photo-grid figcaption{
    margin-top: 0.5rem;
    font-size:0.6rem;
    color: #555;
    line-height: 1.5;
    text-align:left;
    width:100%;
    }    

    
.single-image {
  text-align: center;
  margin: 2rem 0;
}

.single-image img {
  width: 100%;
  height: auto;
  border-radius: 4px;
}

.text-block {
  max-width: 720px;
  margin: 1rem auto 2rem;
  font-size: 1rem;
  line-height: 1.8;
  color: #333;
  text-align: center;
}

@media (max-width: 768px) {
  .photo-grid img {
    width: calc(50% - 1rem); /* タブレット以下：2列 */
  }
}

@media (max-width: 480px) {
  
  /**一旦据え置き
  .photo-grid img {
    width: calc(50% - 0.5rem); /* スマホでも2列表示 */
  }
    .photo-grid figure{
     width:calc(50% - 0.5rem);
    }
    .photo-grid figcaption{
        font-size: 0.52rem;
    }
  .works-detail h2 {
    font-size: 1.5rem;
  } **/
  

.photo-grid {
  display: flex;
  flex-wrap: wrap;
  gap: 0rem;
  margin-bottom: 2rem;
}
    
 .photo-grid figure{
    width: calc(33.333%);
    margin: 0 auto;
    font-size:0.85rem;
    display:flex;
     flex-direction: column;
     align-items: stretch;
    }
    
    
    
.photo-grid img {
    width:140px;
    height:auto;
    border-radius: 4px;
    display: block;
    }

 .photo-grid figcaption{
    margin-top: 0.5rem;
    font-size:0.6rem;
    color: #555;
    line-height: 1.5;
    text-align:left;
    width:100%;
    }    

    
.single-image {
  text-align: center;
  margin: 2rem 0;
}

.single-image img {
  width: 100%;
  height: auto;
  border-radius: 4px;
}

  
  
}

    
}


